"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const native_1 = require("@react-navigation/native");
const react_1 = __importDefault(require("react"));
const react_native_1 = require("react-native");
const style_1 = __importDefault(require("./style"));
const IconButton_1 = __importDefault(require("../IconButton"));
;
const Header = ({ children, title, onLeft, onRight, leftIcon = true, style = {}, right, }) => {
    const navigation = (0, native_1.useNavigation)();
    const _onLeft = () => {
        navigation.goBack();
        onLeft === null || onLeft === void 0 ? void 0 : onLeft();
    };
    const _onRight = () => {
        onRight === null || onRight === void 0 ? void 0 : onRight();
    };
    const renderView = () => {
        if (children) {
            return (react_1.default.createElement(react_1.default.Fragment, null, children));
        }
        return (react_1.default.createElement(react_1.default.Fragment, null,
            leftIcon ? (react_1.default.createElement(IconButton_1.default, { styleContainer: style_1.default.left, type: 'SimpleLineIcons', name: "arrow-left", size: 16, color: "#222", onPress: _onLeft })) : (react_1.default.createElement(react_native_1.View, { style: style_1.default.left })),
            react_1.default.createElement(react_native_1.View, { style: style_1.default.mid },
                react_1.default.createElement(react_native_1.Text, { style: style_1.default.label, numberOfLines: 1 }, title)),
            react_1.default.createElement(react_native_1.View, { style: style_1.default.right }, right)));
    };
    return (react_1.default.createElement(react_native_1.SafeAreaView, { style: [style_1.default.container, style] }, renderView()));
};
exports.default = Header;
